<img src="resources/toupy_logo.png" alt="toupy" width="200"> 

TOUPY - Tomographic Utilities for Python
========================================
DOI: [![DOI](https://zenodo.org/badge/196718112.svg)](https://zenodo.org/badge/latestdoi/196718112)

Introduction
------------

The name **Toupy** stands for Tomographic Utilites for Python and it is a wordplay with the French 
word *toupie* (pronounced *too-pee*)  for spinning top, the toy designed to spin rapidly on the ground, the motion of 
which causes it to remain precisely balanced on its tip due to its rotational inertia. 
You can find the information in the wikipedia page in [English](https://en.wikipedia.org/wiki/Top) and in [French](https://fr.wikipedia.org/wiki/Toupie_(jouet)).

Documentation
-------------

The documentation can be found in [ReadTheDocs](https://toupy.readthedocs.io/en/latest/).

Installation
------------

Installation should be as simple as:

	pip install toupy

For local installation, using the flag --user:

	pip install --user toupy

or, if you prefer:

    python3 setup.py install --user

after downloading/clone github repository files. 
    
Click [here](https://toupy.readthedocs.io/en/latest/installing.html) for more info about installation.

Travis
------
[![Build Status](https://travis-ci.com/jcesardasilva/toupy.svg?branch=master)](https://travis-ci.com/jcesardasilva/toupy)

Get started
-----------

Get started quickly with the examples in the [templates](https://github.com/jcesardasilva/toupy/tree/master/templates) directory.


Dependencies
------------

Toupy depends on the following python packages:

* python >= 3.6
* numpy
* numexpr
* matplotlib
* pyfftw
* fabio
* h5py
* scikit-image
* silx

Call for Contributions
----------------------

Toupy welcomes help to improvements from a wide range of different backgrounds.
For example, work on the documentation is well appreciated.
